package com.zhili.dashboard.base;

import io.jsonwebtoken.Claims;

/**
 * 通用常量信息
 *
 * @author user
 */
public class Constants {
    /**
     * 热管理--温差图表名称
     */
    public static final String HZ_SUCCESS_RESPONSE_CODE = "20000";
    /**
     * 热管理--温差图表名称
     */
    public static final String HOT_CHART_NAME = "温差";
    /**
     * 单体电压
     */
    public static final String CELL_VOLTAGE = "单体电压";
    /**
     * 单体温度
     */
    public static final String CELL_TEMPERATURE = "单体温度";
    /**
     * 验证码有效期（分钟）
     */
    public static final Integer SUCCESS_RESPONSE_CODE = 200;
    /**
     * createBy
     */
    public static final Float BATTERY_ERROR_CODE = -9999f;
    /**
     * createBy
     */
    public static final String CREATE_BY = "createBy";
    /**
     * createTime
     */
    public static final String CREATE_TIME = "createTime";
    /**
     * updateBy
     */
    public static final String UPDATE_BY = "updateBy";
    /**
     * updateTime
     */
    public static final String UPDATE_TIME = "updateTime";
    /**
     * UTF-8 字符集
     */
    public static final String OK = "OK";
    /**
     * UTF-8 字符集
     */
    public static final String FAILED = "操作失败";
    /**
     * DESC
     */
    public static final String DESC = "DESC";
    /**
     * ASC
     */
    public static final String ASC = "ASC";
    /**
     * DBC
     */
    public static final String DBC = "DBC";
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 通用成功标识
     */
    public static final String SUCCESS = "0";

    /**
     * 通用失败标识
     */
    public static final String FAIL = "1";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 验证码有效期（分钟）
     */
    public static final Integer CAPTCHA_EXPIRATION = 2;

    /**
     * 令牌
     */
    public static final String TOKEN = "token";
    /**
     * 企业微信令牌
     */
    public static final String ACCESS_TOKEN = "access_token";
    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "Bearer ";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_USER_KEY = "login_user_key";

    /**
     * 用户ID
     */
    public static final String JWT_USERID = "userid";

    /**
     * 用户名称
     */
    public static final String JWT_USERNAME = Claims.SUBJECT;

    /**
     * 用户头像
     */
    public static final String JWT_AVATAR = "avatar";

    /**
     * 创建时间
     */
    public static final String JWT_CREATED = "created";

    /**
     * 用户权限
     */
    public static final String JWT_AUTHORITIES = "authorities";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 字典管理 cache key
     */
    public static final String MODEL_KEY = "algo_param_from_mysql:";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * RMI 远程方法调用
     */
    public static final String LOOKUP_RMI = "rmi://";
}
