package com.zhili.dashboard.base;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;


/**
 * <p>
 * 用户信息表 返回VO对象
 * </p>
 *
 * @author MiaoXiaoTao
 * @since 2021-01-07
 */
@Data
public class UserInfoVO {


    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**用户名*/
    private String userName;

/**手机号（账号）*/
    private String mobile;

    // /**密码*/
    //  private String pwd;

 /**组织机构id*/
    private String orgId;

    /**roleId*/
    private Integer roleId;


    /**状态:0:禁用、1启用、*/
    private Integer status;

    /**0:正常，1:删除*/
    private Integer del;

    /**1:永久，2:临时*/
    private Integer accountType;

    /**最后一次登录时间*/
    private String lastLoginTime;

    /**开始有效*/
    private String accountBeginValidDate;

    /**结束有效*/
    private String accountEndValidDate;

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;
    private String createBy;

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime updateTime;

    private String updateBy;

    /**角色名称*/
    private String roleText;

    /**组织机构名称*/
    private String orgText;
    /**是否管理员 0:否，1:是*/
    private Integer isAdmin;

    /**页面权限*/
    private List<String> permissions;
}
