package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 云控信息表
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_alarm_msg")
@ApiModel(value="AlarmMsg对象", description="云控信息表")
public class AlarmMsg extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "故障等级")
    private Integer faultLevel;

    @ApiModelProperty(value = "故障发生时间")
    private LocalDateTime faultTime;

    @ApiModelProperty(value = "机构id")
    private String organId;

    @ApiModelProperty(value = "故障编码")
    private String faultCode;

    @ApiModelProperty(value = "故障类型 2-低电量(编码58) 3-离线(编码59) 1-常规故障(编码非58、59)")
    private Integer type;

    @ApiModelProperty(value = "报警信息")
    private String faultInfo;

    @ApiModelProperty(value = "数据来源1-系统 2-客服")
    private Integer source;

    @ApiModelProperty(value = "处理时间")
    private LocalDateTime finishTime;

    @ApiModelProperty(value = "信息状态:0-未处理,1-已处理")
    private Integer faultStatus;

    @ApiModelProperty(value = "说明")
    private String remark;

    @ApiModelProperty(value = "处理建议")
    private String faultAdvice;

    @ApiModelProperty(value = "快充比例")
    private BigDecimal fastCharge;

    @ApiModelProperty(value = "项目名称")
    @TableField(exist = false)
    private String item;

    @ApiModelProperty(value = "项目数量")
    @TableField(exist = false)
    private Integer num;

    @ApiModelProperty(value = "数量")
    @TableField(exist = false)
    private Long quantity;

    @ApiModelProperty(value = "源id")
    private Long sid;
}
