package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 电池命令下发详情
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@TableName("t_cmd_detail")
@ApiModel(value="CmdDetail对象", description="电池命令下发详情")
public class CmdDetail {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "故障等级")
    private Integer faultLevel;

    @ApiModelProperty(value = "预警名称")
    private String faultName;

    @ApiModelProperty(value = "预警时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date warningTime;

    @ApiModelProperty(value = "拦截时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date actionTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "简单编号")
    private String simpleSn;
}
