package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备信息
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_device")
@ApiModel(value="Device对象", description="设备信息")
public class Device extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "当前状态 1-充电,2-运行,3-静置,4-离线")
    private Integer status;

    @ApiModelProperty(value = "运营场景 0-乘用车 1-重卡 2-低速车 3-储能 4-备用电源")
    private Integer scene;

    @ApiModelProperty(value = "sn号")
    private String sn;

    @ApiModelProperty(value = "机构id(运营商)")
    private String organId;

    @ApiModelProperty(value = "imei号")
    private String imei;

    @ApiModelProperty(value = "品牌")
    private String producer;

    @ApiModelProperty(value = "设备类型（1：产品， 2：配件）")
    private Integer deviceType;

    @ApiModelProperty(value = "产品/配件 类型（1：电池， 2：电动车 3:充电器")
    private Integer productType;

    @ApiModelProperty(value = "型号")
    private String model;

    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "镇")
    private String town;

    @ApiModelProperty(value = "区")
    private String district;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "在线标识 0-离线 1-在线")
    private Integer onlineFlag;

    @ApiModelProperty(value = "源id")
    private Long sid;

    @ApiModelProperty(value = "电芯类型")
    private String batteryCoreType;
}
