package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 电池析锂时长统计信息
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_device_duration")
@ApiModel(value="DeviceDuration对象", description="电池析锂时长统计信息")
public class DeviceDuration extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "电池编号")
    private String sn;

    @ApiModelProperty(value = "析锂时长")
    private BigDecimal duration;

    @ApiModelProperty(value = "源id")
    private Long sid;
}
