package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 电池状态信息表
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_distribution_map")
@ApiModel(value="DistributionMap对象", description="电池状态信息表")
public class DistributionMap extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "车辆型号")
    private String model;

    @ApiModelProperty(value = "电池型号")
    private String cellModel;

    @ApiModelProperty(value = "电池包型号")
    private String packModel;

    @ApiModelProperty(value = "充电与用车状态值：0为充电，1为用车")
    private Integer statFlg;

    @ApiModelProperty(value = "统计小时")
    private String statisHours;

    @ApiModelProperty(value = "时间段内车辆数")
    private BigDecimal carNum;

    @ApiModelProperty(value = "分区字段（日）")
    private String statisDate;
}
