package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 模型对象 t_model
 *
 * @author hz
 * @date 2022-02-25
 */
@Data
@TableName("algo_list")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Model对象", description = "模型")
public class Model extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "算法id")
    private Long algoId;

    @ApiModelProperty(value = "模型名称")
    private String algoName;

    @ApiModelProperty(value = "告警等级0~5")
    private Integer faultLevel;

    @ApiModelProperty(value = "模型编码")
    private String faultCode;

    @ApiModelProperty(value = "模型状态 0-停用 1-启用")
    private Integer isActivate;

    @ApiModelProperty(value = "算法其他公共参数（不可调参数)")
    private String globalParam;

    @ApiModelProperty(value = "故障影响分析")
    private String faultInfluence;

    @ApiModelProperty(value = "模型类型")
    private Integer modelType;

    @ApiModelProperty(value = "算法参数是否可配（0不可配，1可配）")
    private String configurableFlag;
}
