package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组织机构
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_org")
@ApiModel(value="Org对象", description="组织机构")
public class Org extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "组织机构名称")
    private String orgName;

    @ApiModelProperty(value = "上级")
    private Integer parentId;

    @ApiModelProperty(value = "组织机构编码,逐级加长")
    private String orgCode;

    @ApiModelProperty(value = "级别")
    private Integer orgLevel;


}
