package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className AlarmCoreTypeEnum
 * @date 2021年12月02日 11:15
 */
public enum AlarmCoreTypeEnum {

    /**
     * 电芯类型 B-磷酸铁锂 E-三元锂电
     */
    LEVEL_ONE("B", "磷酸铁锂"),
    LEVEL_TWO("E", "三元锂电"),
    ;

    private final String code;
    private final String message;

    AlarmCoreTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(String code) {
        return this.code.equals(code);
    }

    public static String getDesc(String code) {
        AlarmCoreTypeEnum[] enums = values();
        for (AlarmCoreTypeEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public String code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
