package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className DeviceStatusEnum
 * @date 2021年12月02日 11:15
 */
public enum AlarmFaultStatusEnum {

    /**
     * 当前状态 1-充电,2-运行,3-静置,4-离线
     */
    DONE(1, "已修复"),
    RUN(0, "未处理"),
    ;

    private final int code;
    private final String message;

    AlarmFaultStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        AlarmFaultStatusEnum[] enums = values();
        for (AlarmFaultStatusEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
