package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className AlarmLevelEnum
 * @date 2021年12月02日 11:15
 */
public enum AlarmLevelEnum {

    /**
     * 状态：充电状态(1-一级报警 2-二级报警 3-三级报警 4-四级报警 5-五级报警
     */
    LEVEL_ONE(1, "一级报警"),
    LEVEL_TWO(2, "二级报警"),
    LEVEL_THREE(3, "三级报警"),
    LEVEL_FOUR(4, "四级报警"),
    LEVEL_FIVE(5, "五级报警"),
    ;

    private final int code;
    private final String message;

    AlarmLevelEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        AlarmLevelEnum[] enums = values();
        for (AlarmLevelEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
