package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className AlarmLevelGroupEnum
 * @date 2021年12月02日 11:15
 */
public enum AlarmLevelGroupEnum {

    /**
     * 状态：风险等级 0-高风险预警 1-中风险预警 2-低风险预警
     */
    HIGH(0, "高风险预警"),
    MIDDLE(1, "中风险预警"),
    LOW(2, "低风险预警"),
    ;

    private final int code;
    private final String message;

    AlarmLevelGroupEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        AlarmLevelGroupEnum[] enums = values();
        for (AlarmLevelGroupEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
