package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className BatteryDataTypeEnum
 * @date 2021年12月02日 11:15
 */
public enum BatteryDataTypeEnum {

    /**
     * 状态：数据类型 1-报警率 2-电池数 3-预警率
     */
    Alarm(1, "报警率"),
    BATTERY(2, "电池数"),
    WARN(3, "预警率"),
    ;

    private final int code;
    private final String message;

    BatteryDataTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        BatteryDataTypeEnum[] enums = values();
        for (BatteryDataTypeEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
