package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className DeviceFaultStatusEnum
 * @date 2021年12月02日 11:15
 */
public enum BatteryStatusEnum {

    /**
     * 状态：电池状态 0x00：运行；0x01：睡眠；0x02：快充；0x03：慢充；“0xFE”表示异常，“0xFF”表示无效。
     */
    RUN(0, "运行"),
    SLEEP(1, "睡眠"),
    FAST(2, "快充"),
    SLOW(3, "慢充"),
    OTHER(4, "其他"),
    EXCEPTION(254, "异常"),
    INVALID(255, "无效"),
    ;

    private final int code;
    private final String message;

    BatteryStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        BatteryStatusEnum[] enums = values();
        for (BatteryStatusEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
