package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className DeviceStatusEnum
 * @date 2021年12月02日 11:15
 */
public enum DeviceStatusEnum {

    /**
     * 当前状态 1-充电,2-运行,3-静置,4-离线
     */
    CHARGE(1, "充电"),
    RUN(2, "运行"),
    SLEEP(3, "静置"),
    OFF(4, "离线"),
    ;

    private final int code;
    private final String message;

    DeviceStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        DeviceStatusEnum[] enums = values();
        for (DeviceStatusEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
