package com.zhili.dashboard.enums;

/**
 * @author zyg
 * @className SceneEnum
 * @date 2021年12月02日 11:15
 */
public enum SceneEnum {

    /**
     * 运营场景 0-乘用车 1-重卡 2-低速车 3-储能 4-备用电源
     */
    CAR(0, "乘用车"),
    HEIGHT(1, "重卡"),
    LOW(2, "低速车"),
    SAVE(3, "储能"),
    BAK(4, "备用电源"),
    ;

    private final int code;
    private final String message;

    SceneEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public boolean isEqual(int code) {
        return this.code == code;
    }

    public static String getDesc(Integer code) {
        SceneEnum[] enums = values();
        for (SceneEnum en : enums) {
            if (en.code().equals(code)) {
                return en.message();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
