package com.zhili.dashboard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhili.dashboard.entity.AlarmMsgWarn;
import com.zhili.dashboard.req.ProvinceParam;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 云控信息表 Mapper 接口
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
public interface AlarmMsgWarnMapper extends BaseMapper<AlarmMsgWarn> {

    /**
     * 获取高危用户
     *
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    public List<Map<String, Object>> getHighRisk();

    /**
     * 风险等级
     *
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    public List<Map<String, Object>> getAlarmLevelGroup();

    /**
     * 应用场景电池信息
     * @param province 参数
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getSceneFaultGroup(@Param("province") String province);

    /**
     * 应用场景电池信息
     * @param province 参数
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getSceneDeviceGroup(@Param("province") String province);

    /**
     * 电池地图
     *
     * @param province 参数
     * @return List<Map < String, Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getBatteryMap(@Param("province") String province);

    /**
     * 电池数量
     *
     * @param province 参数
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getDistrictDeviceOrder(@Param("province") String province);

    /**
     * 报警数量
     *
     * @param province 参数
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getDistrictFaultOrder(@Param("province") String province);

    /**
     * 清理预警故障
     * @return java.lang.Long
     */
    Long execUpdateStatus();

    void updateAlarmMsgWarn();
}
