package com.zhili.dashboard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhili.dashboard.entity.DistributionMap;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组织机构 Mapper 接口
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
public interface DistributionMapMapper extends BaseMapper<DistributionMap> {

    /**
     * 电池状态统计信息
     *
     * @param dateStr 参数
     * @param hourStr 参数
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getDeviceStatusList(@Param("dateStr") String dateStr, @Param("hourStr") String hourStr,
                                                  @Param("yesStr") String yesStr, @Param("yesHourStr") String yesHourStr);

    /**
     * 电池状态统计信息
     *
     * @param dateStr 参数
     * @param hourStr 参数
     * @return java.util.List<java.util.Map < java.lang.String, java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getOnLine(@Param("dateStr") String dateStr, @Param("hourStr") String hourStr);

    void updateDistributionMap();
}
