package com.zhili.dashboard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhili.dashboard.entity.FaultMonthRate;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组织机构 Mapper 接口
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
public interface FaultMonthRateMapper extends BaseMapper<FaultMonthRate> {
    /**
     * 某年安全事故率
     * @param dateStr 参数
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getFaultRate(@Param("dateStr") String dateStr);

    /**
     * 某年安全事故率
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getFaultRateList();
}
