package com.zhili.dashboard.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.zhili.dashboard.entity.Device;
import com.zhili.dashboard.entity.Statistics;
import com.zhili.dashboard.mapper.StatisticsMapper;
import com.zhili.dashboard.service.IStatisticsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhili.dashboard.vo.ChargeInfoVo;
import com.zhili.dashboard.vo.OnLineVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 电池数量&累计充放电总量统计 服务实现类
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Service
public class StatisticsServiceImpl extends ServiceImpl<StatisticsMapper, Statistics> implements IStatisticsService {
    @Resource
    StatisticsMapper statisticsMapper;

    @Override
    public void updateStatistics() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Statistics statistics = baseMapper.selectById(1);
        String infoJson = statistics.getInfoJson();
        ChargeInfoVo chargeInfo = JSONObject.parseObject(infoJson, ChargeInfoVo.class);
        //充电量
        BigDecimal charge = chargeInfo.getCharge();
        //放电量
        BigDecimal discharge = chargeInfo.getDischarge();
        ChargeInfoVo chargeInfoVo = new ChargeInfoVo();
        chargeInfoVo.setCharge(charge.add(new BigDecimal(1100)));
        chargeInfoVo.setDischarge(discharge.add(new BigDecimal(1050)));
        String info = JSONObject.toJSONString(chargeInfoVo);
        statistics.setDataInfo(LocalDateTime.now());
        statistics.setInfoJson(info);

        baseMapper.updateById(statistics);

    }
}
