package com.zhili.dashboard.utils;

import com.alibaba.fastjson.JSON;
import com.zhili.dashboard.base.UserInfoVO;
import com.zhili.dashboard.base.UserInformationDTO;
import io.jsonwebtoken.Claims;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * @author zyg
 * @className GetUserInformationUtils
 * @date 2021年12月22日 12:53
 */
public class GetUserInformationUtils {
    public static UserInformationDTO getUserBasic() {
        // 获取相关对象
        RequestAttributes requestAttributes = RequestContextHolder.getRequestAttributes();
        if (requestAttributes==null){
            return null;
        }
        HttpServletRequest request = ((ServletRequestAttributes) requestAttributes).getRequest();
        String accessToken = request.getHeader("token");
        Claims claims = JwtUtils.getInstance().check(accessToken);
        if (claims == null) {
            //或者给前端发送json消息
            return null;
        }
//        String account = (String) claims.get("account");
        UserInfoVO userInfoVO = JSON.parseObject((String) claims.get("userInfo"), UserInfoVO.class);
//        Integer userId = (Integer) claims.get("userId");

        UserInformationDTO userInformationDTO = UserInformationDTO.builder()
                .userId(userInfoVO.getId()).account(userInfoVO.getMobile()).name(userInfoVO.getUserName()).build();
        return userInformationDTO;
    }
}
