package com.zhili.dashboard.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author zyg
 * @className AlarmDetailVo
 * @date 2022年07月06日 14:28
 */
@Data
public class AlarmDetailVo {

    @ApiModelProperty(value = "用户")
    private String updateBy;

    @ApiModelProperty(value = "sn号")
    private String sn;

    @ApiModelProperty(value = "机构id(运营商)")
    private String organId;

    @ApiModelProperty(value = "运营商")
    private String orgName;

    @ApiModelProperty(value = "运营场景 0-乘用车 1-重卡 2-低速车 3-储能 4-备用电源")
    private Integer scene;

    @ApiModelProperty(value = "运营场景 0-乘用车 1-重卡 2-低速车 3-储能 4-备用电源")
    private String sceneText;

    @ApiModelProperty(value = "故障发生时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime faultTime;

    @ApiModelProperty(value = "位置(省+市+区)")
    private String location;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "区")
    private String district;

    @ApiModelProperty(value = "处理建议")
    private String faultAdvice;

    @ApiModelProperty(value = "报警信息")
    private String faultInfo;

    @ApiModelProperty(value = "简单编号")
    private String simpleSn;

    @ApiModelProperty(value = "故障原因")
    private String faultInfluence;
}
