package com.zhili.dashboard.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;


/**
 * @author zyg
 * @className BatteryDataVo
 * @date 2022年07月06日 14:28
 */
@Data
public class BatteryDataVo {
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "电池编号")
    private String sn;

    @ApiModelProperty(value = "车架号")
    private String vin;

    @ApiModelProperty(value = "在线时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date onlineTime;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "国")
    private String country;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "镇")
    private String town;

    @ApiModelProperty(value = "区")
    private String district;

    @ApiModelProperty(value = "电池状态")
    private Integer batteryStatus;

    @ApiModelProperty(value = "电芯类型")
    private String batteryCoreType;
}
